{% include 'patterns/organisms/layout/navbar.html' %}
{% include 'patterns/molecules/header/simple_header.html' with simple_header_title='Program' %}

<main role="main" class="mb-4 xl:mb-20">
  <div class="grid-container">
    <div class="grid-content">
      <p class="font-condensed text-xl leading-7 mb-5 program-perex">
        {{ program_text }}
      </p>
    </div>
  </div>
  <div class="">
    <div class="__js-root">
      <ui-view-provider :initial="{candidates: true, program: false}" :sync-location="true"
                        v-slot="{ isCurrentView, toggleView }">
        <div class="mb-12 container--medium flex justify-start">
          <ui-horizontal-scrollable>
            <div class="switch">
              <a @click="toggleView('candidates')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('candidates')}">{{ program_choice_1 }}</a>
              <a @click="toggleView('program')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('program')}">{{ program_choice_2 }}</a>
              <a @click="toggleView('program')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('program1')}">{{ program_choice_3 }}</a>
              <a @click="toggleView('program')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('program2')}">{{ program_choice_4 }}</a>
            </div>
          </ui-horizontal-scrollable>
        </div>
        <div>
          <template v-if="isCurrentView('candidates')">
            {% include 'patterns/molecules/blocks/icon_title_text_block.html' with icon="ico--book" %}
            {% include 'patterns/molecules/blocks/icon_title_text_block.html' with icon="ico--book" %}
          </template>
          <template v-if="isCurrentView('program')">
            {% include 'patterns/molecules/blocks/icon_title_text_block.html' with icon="ico--eye" %}
          </template>
        </div>
      </ui-view-provider>
    </div>
  </div>
</main>
{% include 'patterns/organisms/main_section/newsletter_section.html' %}
{% include 'patterns/organisms/layout/footer.html' %}

